replicaCount: 1
imagePullSecrets: []
settings:
  tezos:
    # Baker hash
    adminKeys:
      hash: "tz1VSUr8wwNhLAzempoch5d6hLRiTh8Cjcjb"
      publicKey: "edpkvGfYw3LyB1UcCahKQk4rF2tvbMUk8GFiTuMjL75uGXrpvKXhjn"
      secretKey: "edsk3QoqBuvdamxouPhin7swCvkQNgq4jP5KZPbwWNnwdZpSpJiEbq"
    contractAddress: "contractAddress"
    # Public node
    nodeUrl: "http://node"
    urls:
      api:
        storage: "https://api.tzstats.com/explorer/bigmap/$bigmapId/$rootHash"
        transaction: "https://api.tzstats.com/explorer/op/$transactionHash"
    validation:
      age: "5m"
      depth: "'10'"
  # Encryption key to sign authentication token
  jwtSecret: "secret"
  # Level of logs
  logLevel: INFO
  database:
    name: digisign
    image: mongo:5.0.7
    credentials:
      username: root
      password: password
  databaseAdmin:
    image: mongo-express:0.54.0
    credentials:
      username: admin
      password: adminpassword
    url: digisign-mongo.example.org
  daemon:
    image: coexyaedi/tezos-digisign-daemon:develop
  rest:
    image: coexyaedi/tezos-digisign-rest:develop
    url: digisign-rest.example.org
  storage:
    path: "/data/digisign/"
    capacity: "500Mi"
    class: "standard"

mongo:
  name: digisign-mongo
  label: digisign-mongo
  storage:
    pvc: digisign-data-pvc
    pv: digisign-data-pv
    vol: digisign-data-vol
  container:
    image: "{{ .Values.settings.database.image }}"
    env:
      - name: MONGO_INITDB_DATABASE
        value: "{{ .Values.settings.database.name }}"
      - name: MONGO_INITDB_ROOT_USERNAME
        value: "{{ .Values.settings.database.credentials.username }}"
      - name: MONGO_INITDB_ROOT_PASSWORD
        value: "{{ .Values.settings.database.credentials.password }}"
mongoExpress:
  name: digisign-mongo-express
  label: digisign-mongo-express
  service:
    name: digisign-mongo-express-service
    port: 8081
  container:
    image: "{{ .Values.settings.databaseAdmin.image }}"
    env:
      - name: ME_CONFIG_MONGODB_SERVER
        value: "{{ .Values.mongo.name }}"
      - name: ME_CONFIG_MONGODB_ADMINUSERNAME
        value: "{{ .Values.settings.database.credentials.username }}"
      - name: ME_CONFIG_MONGODB_ADMINPASSWORD
        value: "{{ .Values.settings.database.credentials.password }}"
      - name: MONGO_INITDB_DATABASE
        value: "{{ .Values.settings.database.name }}"
      - name: ME_CONFIG_BASICAUTH_USERNAME
        value: "{{ .Values.settings.databaseAdmin.credentials.username }}"
      - name: ME_CONFIG_BASICAUTH_PASSWORD
        value: "{{ .Values.settings.databaseAdmin.credentials.password }}"
daemon:
  name: digisign-daemon
  label: digisign-daemon
  container:
    image: "{{ .Values.settings.daemon.image }}"
    env:
      - name: JWT_SECRET
        value: "{{ .Values.settings.jwtSecret }}"
      - name: LOGGING_LEVEL_COM_SWORD
        value: "{{ .Values.settings.logLevel }}"
      - name: SPRING_DATA_MONGODB_URI
        value: "mongodb://{{ .Values.settings.database.credentials.username }}:{{ .Values.settings.database.credentials.password }}@{{ .Values.mongo.name }}:27017/{{ .Values.settings.database.name }}?authSource=admin"
      - name: TEZOS_CONTRACT_ADDRESS
        value: "{{ .Values.settings.tezos.contractAddress }}"
      - name: TEZOS_KEYS_ADMIN_PUBLICKEY
        value: "{{ .Values.settings.tezos.adminKeys.publicKey }}"
      - name: TEZOS_KEYS_ADMIN_SECRETKEY
        value: "{{ .Values.settings.tezos.adminKeys.secretKey }}"
      - name: TEZOS_NODE_URL
        value: "{{ .Values.settings.tezos.nodeUrl }}"
      - name: TEZOS_VALIDATION_MINAGE
        value: "{{ .Values.settings.tezos.validation.age }}"
      - name: TEZOS_VALIDATION_MINDEPTH
        value: "{{ .Values.settings.tezos.validation.depth }}"
rest:
  name: digisign-rest
  label: digisign-rest
  service:
    name: digisign-rest-service
    port: 8080
  container:
    image: "{{ .Values.settings.rest.image }}"
    env:
      - name: JWT_SECRET
        value: "{{ .Values.settings.jwtSecret }}"
      - name: LOGGING_LEVEL_COM_SWORD
        value: "{{ .Values.settings.logLevel }}"
      - name: SPRING_DATA_MONGODB_URI
        value: "mongodb://{{ .Values.settings.database.credentials.username }}:{{ .Values.settings.database.credentials.password }}@{{ .Values.mongo.name }}:27017/{{ .Values.settings.database.name }}?authSource=admin"
      - name: TEZOS_CONTRACT_ADDRESS
        value: "{{ .Values.settings.tezos.contractAddress }}"
      - name: TEZOS_NODE_URL
        value: "{{ .Values.settings.tezos.nodeUrl }}"
      - name: TEZOS_URLS_API_STORAGE
        value: "{{ .Values.settings.tezos.urls.api.storage }}"
      - name: TEZOS_URLS_API_TRANSACTION
        value: "{{ .Values.settings.tezos.urls.api.transaction }}"
      - name: TEZOS_URLS_WEB_PROVIDER
        value: "{{ .Values.settings.rest.url }}"
      - name: TEZOS_VALIDATION_MINAGE
        value: "{{ .Values.settings.tezos.validation.age }}"
      - name: TEZOS_VALIDATION_MINDEPTH
        value: "{{ .Values.settings.tezos.validation.depth }}"
